QuickHashIntStringHash::exists
QuickHashIntStringHash::getSize
QuickHashIntStringHash
PHP Manual

# QuickHashIntStringHash::get

This method retrieves a value from the hash by its key

### Description

public mixed QuickHashIntStringHash::get ( int `$key` )

This method retrieves a value from the hash by its key.

### Parameters

`key`

  The key of the entry to add.

### Return Values

The value if the key exists, or `NULL` if the key wasn't part of the hash.

### Examples

Example #1 QuickHashIntStringHash::get example

`<?php
$hash = new QuickHashIntStringHash( 8 );
var_dump( $hash->get( 1 ) );
var_dump( $hash->add( 2, "two" ) );
var_dump( $hash->get( 2 ) );
var_dump( $hash->add( 3, 5 ) );
var_dump( $hash->get( 3 ) );
?>`

The above example will output something similar to:

    bool(false)
    bool(true)
    string(3) "two"
    bool(true)
    string(1) "5"